
import {
  system, world
} from "@minecraft/server"
import { ActionFormData } from "@minecraft/server-ui";

world.beforeEvents.itemUse.subscribe((ev) => {
  const player = ev.source
  const item = ev.itemStack
  if (item.typeId === 'kc:iphone') {
    system.run(()=> {
      MenuTelefono(player)
    })
  }
})
function MenuTelefono(player) {
  const form = new ActionFormData()
  .title('Aqui va el titulo')
  .body('Aqui el body o cuerpo')
  .button('Boton 1')
  .button('Boton 2')
  .button('Boton 3')
  form.show(player).then((result)=> {
    if (result.canceled) {
      player.playSound('random.chestclosed')  //solo se ejecuta si el form se cancela osea si le da a la x de cerrar
      return;
    }
    if (result.selection === 0){
      player.runCommandAsync('give @s diamond 1')   //Boton 1
    }
    if (result.selection === 1){
      player.runCommandAsync('give @s diamond 1')   //Boton 2
    }
    if (result.selection === 2){
      player.runCommandAsync('give @s diamond 1')   //Boton 3
    }
  })
}